import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-annual-checkup',
  templateUrl: './annual-checkup.page.html',
  styleUrls: ['./annual-checkup.page.scss'],
})
export class AnnualCheckupPage implements OnInit {
  checkupData: any;

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    // 假设从服务中获取数据
    this.checkupData = {
      title: '年度体检',
      date: new Date(),
      results: [
        { name: '血压', value: '120/80 mmHg', status: '正常' },
        { name: '血糖', value: '5.6 mmol/L', status: '正常' },
        { name: '胆固醇', value: '4.5 mmol/L', status: '正常' },
        { name: '体重', value: '70 kg', status: '正常' },
        { name: '身高', value: '175 cm', status: '正常' }
      ],
      notes: '总体健康状况良好，建议继续保持良好的生活习惯。'
    };
  }
}
