import { Component } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { NewsDetailPage } from '../news-detail/news-detail.page';

@Component({
  selector: 'app-health-news',
  templateUrl: './health-news.page.html',
  styleUrls: ['./health-news.page.scss'],
})
export class HealthNewsPage {

  newsList = [
    {
      title: "如何保持良好的睡眠习惯",
      content: `
        <section>
          <p>保持良好的睡眠习惯对于身体健康至关重要。以下是一些有助于改善睡眠质量的小贴士：</p>
          
          <ul>
            <li><strong>建立规律的睡眠时间</strong>：尽量每天在相同的时间上床睡觉和起床，即使在周末或假期也要保持这个习惯。这有助于调整你的生物钟，使你在晚上更容易入睡，并在早上更容易醒来。</li>
            
            <li><strong>创造一个舒适的睡眠环境</strong>：确保你的卧室安静、黑暗且温度适宜。使用遮光窗帘、耳塞或白噪音机来减少干扰。一个舒适的床垫和枕头也是良好睡眠的关键。</li>
            
            <li><strong>限制咖啡因和酒精的摄入</strong>：尤其是在睡前几小时内，避免摄入咖啡因（如咖啡、茶、可乐等）和酒精。这些物质会影响你的睡眠质量，使你难以入睡或导致夜间醒来。</li>
            
            <li><strong>晚餐不宜过饱</strong>：避免在睡前两小时内进食大餐或辛辣食物，这些食物可能会导致消化不良，影响你的睡眠。如果感到饥饿，可以选择一些轻食，如水果或一小份酸奶。</li>
            
            <li><strong>放松身心</strong>：在睡前进行一些放松活动，如阅读、冥想、深呼吸或热水浴，有助于降低你的压力和焦虑水平，使你更容易入睡。</li>
            
            <li><strong>减少电子设备的使用</strong>：在睡前一小时停止使用电子设备，如手机、电脑和电视。这些设备发出的蓝光会抑制褪黑素的产生，而褪黑素是一种促进睡眠的激素。</li>
            
            <li><strong>保持适度的锻炼</strong>：定期的身体活动可以提高你的睡眠质量，但应避免在睡前几小时内进行剧烈运动，以免过于兴奋而难以入睡。</li>
            
            <li><strong>管理你的压力和焦虑</strong>：学会有效地管理压力和焦虑，可以通过写日记、与朋友交流或寻求专业帮助来实现。这些活动有助于减轻你的心理负担，从而改善你的睡眠质量。</li>
          </ul>
          
          <p>遵循这些小贴士，你可以逐步改善你的睡眠质量，享受更加健康、充满活力的生活。记住，良好的睡眠习惯需要时间和坚持来培养，所以请对自己有耐心。</p>
        </section>
      `,
      icon: "moon"
    },
    {
      title: "均衡饮食的重要性",
      content: `
        <section>
          <p>均衡饮食是维持健康不可或缺的关键。在日常生活中，了解哪些食物富含我们身体所需的各类营养素，并合理地将它们纳入我们的饮食计划中，是确保身体健康、预防疾病的重要步骤。</p>
          
          <p>均衡饮食意味着从五大类食物中获取全面的营养：谷物、蔬菜、水果、蛋白质来源（如肉类、豆类、奶制品）以及适量的健康脂肪（如坚果、鱼类中的Omega-3脂肪酸）。每种食物类别都提供了不同的营养素，如碳水化合物、维生素、矿物质、膳食纤维和蛋白质，这些营养素对于维持身体的正常运作至关重要。</p>
          
          <p>谷物是我们主要的能量来源，提供了丰富的碳水化合物和B族维生素。蔬菜和水果富含维生素、矿物质和膳食纤维，有助于增强免疫力、促进消化和降低慢性病风险。蛋白质是构建和修复身体组织的基础，对于肌肉、骨骼、皮肤和内脏器官的健康都至关重要。而健康脂肪则对维持心脏健康、促进脑部发育和维持正常生理功能有着不可替代的作用。</p>
          
          <p>通过合理搭配这些食物，我们可以确保身体获得所需的所有营养素，从而保持健康状态。此外，均衡饮食还有助于控制体重、提高精力和心情，使我们能够更好地应对日常生活的挑战。</p>
          
          <p>因此，为了自己和家人的健康，请务必重视均衡饮食的重要性，将健康饮食的理念融入日常生活的每一个细节中。</p>
        </section>
      `,
      icon: "restaurant"
    },
    {
      title: "定期运动的好处",
      content: `
        <section>
          <article>
            <h3>控制体重和预防疾病</h3>
            <p>定期进行体育活动不仅能够有效地帮助控制体重，防止肥胖及相关疾病的发生，还能显著提升心肺功能，增强身体的耐力和持久力。此外，运动在增强免疫力、提升整体健康水平方面扮演着至关重要的角色。</p>
          </article>
          
          <article>
            <h3>燃烧卡路里和塑造身材</h3>
            <p>首先，通过定期运动，身体能够更有效地燃烧卡路里，促进脂肪的代谢，从而帮助维持健康的体重。这对于预防心血管疾病、糖尿病、高血压等慢性病具有积极作用。同时，运动还能塑造身材，提升个人形象与自信心。</p>
          </article>
          
          <article>
            <h3>增强心肺功能</h3>
            <p>其次，运动能够显著提高心肺功能。在运动时，心脏跳动加快，肺部呼吸加深，这有助于增强心肌力量，提高血液循环效率，以及提升肺部的氧气交换能力。长期坚持运动的人，其心肺功能往往更为强健，能够更轻松地应对日常活动和突发状况。</p>
          </article>
          
          <article>
            <h3>提升免疫力</h3>
            <p>再者，运动还能有效增强免疫力。通过促进血液循环，运动能够帮助身体更有效地输送营养物质和氧气到各个器官，同时加速毒素和废物的排出。这有助于提升身体的自我修复和抗病能力，减少感冒、流感等常见疾病的发生。</p>
          </article>
          
          <article>
            <h3>心理上的益处</h3>
            <p>最后，定期运动还能带来心理上的益处。运动能够释放压力，改善情绪，提升幸福感和满足感。无论是通过跑步、游泳、瑜伽还是其他运动方式，人们都能在运动中找到释放压力、放松身心的途径。</p>
          </article>
          
          <article>
            <h3>总结</h3>
            <p>综上所述，定期运动的好处是多方面的，它不仅能够提升身体健康水平，还能带来心理上的愉悦和满足。因此，我们应该将运动纳入日常生活的一部分，享受运动带来的健康和快乐。</p>
          </article>
        </section>
      `,
      icon: "walk"
    }
  ];

  constructor(private modalController: ModalController, private sanitizer: DomSanitizer) {}

  async openNewsDetail(news: any) {
    const modal = await this.modalController.create({
      component: NewsDetailPage,
      componentProps: {
        news: news
      }
    });
    return await modal.present();
  }

  sanitizeContent(content: string): SafeHtml {
    return this.sanitizer.bypassSecurityTrustHtml(content);
  }

  // 提取纯文本内容
  getPlainTextContent(content: string): string {
    const tempDiv = document.createElement('div');
    tempDiv.innerHTML = content;
    return tempDiv.textContent || '';
  }
}